# [![bakkerthehacker](https://secure.gravatar.com/avatar/5d41671650b9f93a138b64e61c2ad8e4.png?s=28)](https://github.com/bakkerthehacker) bakkerthehacker's renowned AMQP library

A radical, raw, robust, remarkable, rapid AMQP library for node.js

[![NPM version](https://img.shields.io/npm/v/bramqp.svg?style=flat)](https://npmjs.org/package/bramqp)
[![Build Status](https://img.shields.io/travis/bakkerthehacker/bramqp/master.svg?style=flat)](https://travis-ci.org/bakkerthehacker/bramqp)
[![Dependency Status](https://img.shields.io/david/bakkerthehacker/bramqp.svg?style=flat)](https://david-dm.org/bakkerthehacker/bramqp)
[![devDependency Status](https://img.shields.io/david/dev/bakkerthehacker/bramqp.svg?style=flat)](https://david-dm.org/bakkerthehacker/bramqp#info=devDependencies)
[![Donate](https://img.shields.io/badge/donate-%E0%B8%BF%20bitcoin-127fdc.svg?style=flat)](http://gh.bakker.pw/bramqp_donate)

## Benefits over existing AMQP libraries

- Dynamically loaded specification from xml
- 100% specification implementation including all extensions
- Provides direct access to all AMQP methods
- Support for any duplex stream including TLS/SSL

## Drawbacks over existing AMQP libraries

- The application code is more verbose
- A thorough knowledge of the [AMQP specification](https://www.rabbitmq.com/resources/specs/amqp0-9-1.pdf) is needed

## Installation

```
npm install bramqp
```

or

```
npm install git+https://github.com/bakkerthehacker/bramqp.git
```

## [Tutorials](tutorial/Tutorial.md)

## [Documentation](doc/Documentation.md)
